=== debian/changelog ===
libhyprcursor (0.1.9-1build1) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:54:35 -0500

libhyprcursor (0.1.9-1) unstable; urgency=low

  * Initial release. Closes: #1067116

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 18 Mar 2024 16:41:48 +0000
