=== debian/control ===
Source: libhyprcursor
Section: x11
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: cmake, 
  debhelper-compat (= 13),
  libcairo2-dev,
  libhyprlang-dev (>= 0.4.2),
  librsvg2-dev,
  libtomlplusplus-dev,
  libzip-dev,
  pandoc,
  pkgconf
Standards-Version: 4.6.2
Homepage: https://github.com/hyprwm/hyprcursor
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprcursor.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprcursor

Package: hyprcursor-util
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility to manipulate hyprcusor and xcursor themes
 hyprcursor is the cursor format, and associated files and utilities
 for Hyprland.
 .
 This package contains hyprcursor-util; a binary to compile, pack,
 unpack etc the hyprcursor and xcursor themes.

Package: libhyprcursor0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hyprland cursor format, library and utilities
 hyprcursor is the cursor format, and associated files and utilities
 for Hyprland.
 .
 This package contains hyprcursor; a cursor format, library and
 utilities for Hyprland.

Package: libhyprcursor-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libhyprcursor0 (= ${binary:Version})
Description: hyprland cursor format, library and utilities (headers)
 hyprcursor is the cursor format, and associated files and utilities
 for Hyprland.
 .
 This package contains the header files for hyprcursor.
