=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprcursor/tags \
  https://github.com/hyprwm/hyprcursor/archive/refs/tags/v(\d+.\d+.\d+)\.tar\.gz
