=== debian/changelog ===
libhyprcursor (0.1.11-1) unstable; urgency=medium

  * New upstream version 0.1.11

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 08:05:54 +0000
