=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libzip-dev,
   pandoc,
   pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/hyprcursor
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/NyxTrail/hyprcursor.git
