=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install
	
	mkdir -p debian/tmp/usr/share/doc/hyprcursor-util
	pandoc debian/hyprcursor-util.1.rst --standalone \
		--variable=header:"hyprcursor-util User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/hyprcursor-util/hyprcursor-util.1
