## libhyprcursor 0.1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,16 @@
 configure_file(hyprcursor.pc.in hyprcursor.pc @ONLY)
 
 set(CMAKE_CXX_STANDARD 23)
+add_compile_options(
+  -Wall
+  -Wextra
+  -Wpedantic
+  -Wno-unused-parameter
+  -Wno-unused-value
+  -Wno-missing-field-initializers
+  -Wno-narrowing
+  -Wno-pointer-arith)
+set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(
@@ -62,13 +72,6 @@
              include/hyprcursor/hyprcursor.h include/hyprcursor/shared.h)
 
 target_link_libraries(hyprcursor PkgConfig::deps)
-
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  # for std::expected. probably evil. Arch's clang is very outdated tho...
-  target_compile_options(
-    hyprcursor PUBLIC $<$<COMPILE_LANGUAGE:CXX>:-std=gnu++2b
-                      -D__cpp_concepts=202002L> -Wno-builtin-macro-redefined)
-endif()
 
 # hyprcursor-util
 file(
