=== debian/changelog ===
libhyprcursor (0.1.13-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1106525, #1117188)
  * Updated to watchfile version 5

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 06 Oct 2025 11:59:22 +0200

libhyprcursor (0.1.12-1) unstable; urgency=medium

  [ alan (NyxTrail) ]
  * New upstream version 0.1.12
  * Update standards version to 4.7.2
  * Add d/gbp.conf for recommended repo layout

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 04 May 2025 12:05:37 +0000
