=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
-Build-Depends: cmake, 
+Build-Depends: cmake,
   debhelper-compat (= 13),
   libcairo2-dev,
   libhyprlang-dev (>= 0.4.2),
@@ -10,7 +10,7 @@
   libtomlplusplus-dev,
   libzip-dev,
   pandoc,
-  pkgconf
+  pkgconf,
 Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/hyprcursor
 Rules-Requires-Root: no
